Interlaken
API referenceComputeAuto scale groups

List auto-scale groups

GET
/api/v1/auto-scale-groups

Requires the auto_scale_groups:read permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Query Parameters

limit?integer
offset?integer
order?string
q?string
sort_by?string
tags?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/auto-scale-groups"
{  "items": [    {      "active_members": 0,      "created_at": "2019-08-24T14:15:22Z",      "current_replicas": 0,      "desired_replicas": 0,      "evaluation_interval_seconds": 0,      "evaluation_window_seconds": 0,      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "last_scale_down_at": "2019-08-24T14:15:22Z",      "last_scale_up_at": "2019-08-24T14:15:22Z",      "max_replicas": 0,      "metric_type": "string",      "min_replicas": 0,      "name": "string",      "resource_type": "string",      "scale_down_cooldown_seconds": 0,      "scale_up_cooldown_seconds": 0,      "status": "string",      "status_reason": "string",      "tags": {        "property1": "string",        "property2": "string"      },      "target_cpu_percent": 0,      "target_memory_percent": 0,      "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",      "updated_at": "2019-08-24T14:15:22Z",      "vpc_id": "26872b87-3ca9-4a41-b328-948d9c25c405"    }  ],  "total": 0}